Website
Dashboard
Website
Dashboard
  • πŸ‘‰ Welcome
  • 🧐 How to set up an account
  • πŸ“ˆ Monitoring and analytics
  • πŸ” Introducing coins vs tokens
  • πŸ‘¨β€πŸ’Ό The meaning of owning crypto
  • πŸ’° Wallets
  • πŸ“œ Supported Blockchains
  • GITHUB
    • 🐘 SDK PHP
    • πŸ“ SDK Python
    • πŸ‘¨β€πŸ’» SDK GOLANG
    • ✳️ SDK NODE JS
    • ✳️ PHP Wallet
  • API REFERENCE
    • Bitcoin
      • πŸ” Info
        • 🧐 Check BTC node health
        • πŸ“œ Get latest Bitcoin block
      • πŸ†Ž Block
        • πŸ“ˆ Get Bitcoin block by height
        • πŸ‘¨β€πŸ’» Get Bitcoin block by hash
        • πŸ“‘ Get transaction count in block by height
        • πŸ“‘ Get transaction count in block by hash
      • πŸ’° Transactions
        • πŸ‘¨β€πŸ’» Get Bitcoin transaction by hash
        • πŸ“ Send pre-signed raw Bitcoin transaction
      • πŸ‘¨β€πŸ’Ό Account
        • πŸ’° List BTC addresses managed by node wallet
        • πŸ†Ž Get BTC received amount for address
      • πŸ” JSON-RPC
        • πŸ” JSON-RPC
    • Ethereum
      • πŸ” Info
        • 🧐 Check ETH node health
        • πŸ“œ Get latest Ethereum block
      • πŸ†Ž Block
        • πŸ“ˆ Get Ethereum block by height
        • πŸ‘¨β€πŸ’» Get Ethereum block by hash
        • πŸ“‘ Get transaction count in block by height
        • πŸ“‘ Get transaction count in block by hash
      • πŸ’° Transactions
        • πŸ‘¨β€πŸ’» Get Ethereum transaction by hash
        • πŸ‘¨β€πŸ’» Get Ethereum transaction receipt by hash
        • πŸ“ Send pre-signed raw Ethereum transaction
      • πŸ‘¨β€πŸ’Ό Account
        • πŸ” List ETH accounts managed by node
        • πŸ†Ž Get ETH balance for address
        • πŸ†Ž Get transaction count (nonce) for address
        • πŸ‘‰ Estimate gas for transaction
        • πŸ“‘ Read-only contract call (eth_call)
        • πŸ‘¨β€πŸ’Ό Send transaction from node-managed account
      • πŸ” JSON-RPC
        • πŸ” JSON-RPC
    • Tron
      • πŸ” Info
        • πŸ“‘ Get TRX node info
        • 🧐 Check Tron node health
      • πŸ†Ž Block
        • πŸ“œ Get latest Tron block
        • πŸ“œ Get latest N blocks
        • 🟠 Get block by number
        • πŸ‘¨β€πŸ’» Get block by hash
      • πŸ’° Transactions
        • πŸ‘¨β€πŸ’» Get transaction by hash
        • πŸ†Ž Get all transactions for an address
      • πŸ‘¨β€πŸ’Ό Account
        • πŸ†Ž Validate a Tron address
        • πŸ” Get account information
        • πŸ’° Get account balance
        • πŸ†Ž Create a new Tron address
        • πŸ’΅ Generate a private key from a mnemonic
        • πŸ“Š Send TRX from one address to another
        • πŸ“Š Send USDT (TRC20) from one address to another
      • ✳️ Webhooks
        • πŸ‘¨β€πŸ“œ List webhooks
        • 🧐 Create webhook
        • πŸ‘‰ Get webhook
        • πŸ‘¨β€πŸ” Update webhook
        • ❌ Delete webhook
      • πŸ“Š Schemas
      • πŸ” JSON-RPC

πŸ‘¨β€πŸ’» Get Bitcoin block by hash

Code samples

GET /api/v1/btc/block/hash/{blockHash}

Returns a block by its hash using getblock with verbosity 2.

πŸ› οΈ Parameters

NameInTypeRequiredDescription
blockHashpathstringtrueBitcoin block hash.

Example responses

200 Response

{
  "hash": "string",
  "confirmations": 0,
  "height": 0,
  "version": 0,
  "versionHex": "string",
  "merkleroot": "string",
  "time": 0,
  "mediantime": 0,
  "nonce": 0,
  "bits": "string",
  "difficulty": 0.1,
  "chainwork": "string",
  "nTx": 0,
  "strippedsize": 0,
  "size": 0,
  "weight": 0,
  "previousblockhash": "string",
  "nextblockhash": "string",
  "tx": [
    "string"
  ]
}

πŸ” Responses

StatusMeaningDescriptionSchema
200OKBitcoin blockInline
500Internal Server ErrorCould not connect to BTC nodeNone

πŸ”„ Response Schema

Status Code 200

NameTypeRequiredRestrictionsDescription
Β» hashstringfalsenoneHash of the block.
Β» confirmationsinteger(int64)falsenoneNumber of confirmations for the block.
Β» heightinteger(int64)falsenoneBlock height.
Β» versionintegerfalsenoneBlock version.
Β» versionHexstringfalsenonenone
Β» merklerootstringfalsenoneMerkle root of the block's transactions.
Β» timeinteger(int64)falsenoneBlock time in seconds since Unix epoch.
Β» mediantimeinteger(int64)falsenonenone
Β» nonceinteger(int64)falsenonenone
Β» bitsstringfalsenonenone
Β» difficultynumber(double)falsenonenone
Β» chainworkstringfalsenonenone
Β» nTxinteger(int64)falsenoneNumber of transactions in the block.
Β» strippedsizeinteger(int64)falsenonenone
Β» sizeinteger(int64)falsenonenone
Β» weightinteger(int64)falsenonenone
» previousblockhashstring¦nullfalsenonenone
» nextblockhashstring¦nullfalsenonenone
Β» txarrayfalsenoneTransactions included in the block. When verbosity=2, this is an array of full transaction objects; otherwise it may be an array of transaction IDs.
To perform this operation, you must be authenticated by means of one of the following methods: ApiKeyAuth
Last Updated:: 3/27/26, 2:59 PM
Contributors: support
Prev
πŸ“ˆ Get Bitcoin block by height
Next
πŸ“‘ Get transaction count in block by height